package com.op.wms.mapper;

import java.util.List;

import com.op.wms.domain.BaseLocation;

/**
 * 货位管理Mapper接口
 * 
 * @author Open Platform
 * @date 2023-07-06
 */
public interface BaseLocationMapper {
	/**
	 * 查询货位管理
	 * 
	 * @param locationId 货位管理主键
	 * @return 货位管理
	 */
	public BaseLocation selectBaseLocationByLocationId(String locationId);

	/**
	 * 查询货位管理列表
	 * 
	 * @param baseLocation 货位管理
	 * @return 货位管理集合
	 */
	public List<BaseLocation> selectBaseLocationList(BaseLocation baseLocation);

	/**
	 * 新增货位管理
	 * 
	 * @param baseLocation 货位管理
	 * @return 结果
	 */
	public int insertBaseLocation(BaseLocation baseLocation);

	/**
	 * 修改货位管理
	 * 
	 * @param baseLocation 货位管理
	 * @return 结果
	 */
	public int updateBaseLocation(BaseLocation baseLocation);

	/**
	 * 删除货位管理
	 * 
	 * @param locationId 货位管理主键
	 * @return 结果
	 */
	public int deleteBaseLocationByLocationId(String locationId);

	/**
	 * 批量删除货位管理
	 * 
	 * @param locationIds 需要删除的数据主键集合
	 * @return 结果
	 */
	public int deleteBaseLocationByLocationIds(String[] locationIds);
}
